Name: findutils
Version: 4.5.9
Release: alt1

Summary: The GNU versions of find utilities (find and xargs)
License: GPLv3+
Group: File tools
Url: http://www.gnu.org/software/findutils/
Packager: Dmitry V. Levin <ldv@altlinux.org>

# http://git.altlinux.org/people/ldv/packages/?p=gnulib.git;a=shortlog;h=refs/heads/findutils
# git://git.altlinux.org/gears/f/findutils.git
Source0: %name-%version-%release.tar
# a snapshot from git://git.sv.gnu.org/gnulib
Source1: gnulib-%version-%release.tar

Patch: %name-%version-%release.patch

%def_enable selinux

BuildRequires: glibc-devel-static
%{?_enable_selinux:BuildRequires: libselinux-devel}
%{?!_without_check:%{?!_disable_check:BuildRequires: dejagnu}}

%package -n find-static
Summary: Static version of the GNU find
Group: File tools
Requires: %name = %version-%release

%description
This package contains programs which will help you locate files on
your system:
+ the find utility searches through a hierarchy of directories
  looking for files which match a certain set of criteria
  (such as a filename pattern);
+ the xargs utility builds and executes command lines from standard
  input arguments (usually lists of file names generated by the find
  command).

%description -n find-static
This package contains statically linked version of the GNU find program.

%prep
%setup -n %name-%version-%release -a1
%patch -p1

# The regex.h must be kept in sync with --without-included-regex.
install -pm644 %_includedir/regex.h gnulib-%version-%release/lib/

# Do not build locate.
sed -i 's/ locate / /' Makefile*

echo '@set LOCATE_DB /var/lib/locate/locatedb' >locate/dblocation.texi

bzip2 -9k NEWS

%build
./import-gnulib.sh -d gnulib-%version-%release
%define _configure_script ../configure
mkdir dynamic static

pushd dynamic
mkdir locate
echo '@set LOCATE_DB /var/lib/locate/locatedb' >locate/dblocation.texi
%configure --bindir=/bin --without-included-regex %{subst_enable selinux}
make -C po update-po
%make_build MAKEINFOFLAGS=--no-split
popd

pushd static
export	ac_cv_search_setfilecon=no \
	ac_cv_header_selinux_context_h=no \
	ac_cv_header_selinux_flask_h=no \
	ac_cv_header_selinux_selinux_h=no
%configure --disable-nls --without-included-regex --disable-selinux
# Do not build xargs and doc.
sed -i -e 's/ xargs / /' -e 's/ doc / /' Makefile*
%make_build
rm find/find
make -C find find LDFLAGS=-static
popd

%install
%makeinstall_std -C dynamic
rm %buildroot/bin/oldfind
mkdir -p %buildroot%_bindir
for n in find xargs; do
	ln -s "../../bin/$n" %buildroot%_bindir/
done

# Install find.static
install -pm755 static/find/find %buildroot%_bindir/find.static

%find_lang %name

%check
%make_build -k check -C dynamic
%make_build -k check -C static

%files -f %name.lang
/bin/find
/bin/xargs
%_bindir/find
%_bindir/xargs
%_mandir/man?/find*
%_mandir/man?/xargs*
%_infodir/*.info*
%doc AUTHORS NEWS.bz2 README THANKS

%files -n find-static
%_bindir/find.static

%changelog
* Wed Aug 18 2010 Dmitry V. Levin <ldv@altlinux.org> 4.5.9-alt1
- find: updated to v4.5.9-18-g107f84e.
- gnulib: updated to v0.0-3865-g09443c2.
- Enabled SELinux support for find and xargs.

* Wed Sep 09 2009 Dmitry V. Levin <ldv@altlinux.org> 4.4.2-alt2
- Moved "make check" to %%check section.

* Sat Jun 06 2009 Dmitry V. Levin <ldv@altlinux.org> 4.4.2-alt1
- Updated to 4.4.2.

* Tue Oct 21 2008 Dmitry V. Levin <ldv@altlinux.org> 4.2.33-alt2
- xargs: Fixed invalid assertion failure.

* Sat Mar 08 2008 Dmitry V. Levin <ldv@altlinux.org> 4.2.33-alt1
- Updated to 4.2.33 (fixes #9419).
- Dropped manually added provides and prereqs.

* Mon Nov 19 2007 Dmitry V. Levin <ldv@altlinux.org> 4.2.31-alt1
- Updated to 4.2.31.

* Sun Nov 26 2006 Dmitry V. Levin <ldv@altlinux.org> 4.2.29-alt1
- Updated to 4.2.29.

* Thu Aug 10 2006 Dmitry V. Levin <ldv@altlinux.org> 4.2.28-alt1
- Updated to 4.2.28.

* Thu Dec 08 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.27-alt2
- Fixed few harmless compilation warnings.

* Wed Dec 07 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.27-alt1
- Updated to 4.2.27.

* Tue Nov 22 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.26-alt1
- Updated to 4.2.26 with fixes from CVS.

* Wed Nov 16 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.25-alt2
- Backported savedir() fix from gnulib CVS.

* Mon Sep 05 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.25-alt1
- Updated to 4.2.25.

* Thu Aug 18 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.24-alt1
- Updated to 4.2.24.
- Removed merged upstream patches.

* Mon Jun 20 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.23-alt1
- Updated to 4.2.23.
- Removed merged upstream patches.

* Thu Jun 16 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.22-alt2
- Fixed few harmless compilation warnings.

* Mon Jun 13 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.22-alt1
- Updated to 4.2.22.

* Fri Jun 10 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.21-alt2
- Rediffed patches.

* Wed Jun 08 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.21-alt1
- Updated to 4.2.21.
- Updated russian translation.

* Tue May 17 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.21-alt0.1
- Updated to cvs cnapshot 200505162154,
  with xargs changes merged upstream.

* Fri May 13 2005 ALT QA Team Robot <qa-robot@altlinux.org> 4.2.20-alt2.1
- Rebuilt with glibc-devel-static-2.3.5-alt2.

* Tue May 10 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.20-alt2
- Rebuilt with glibc-2.3.5-alt1.

* Thu Mar 17 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.20-alt1
- Updated to 4.2.20.

* Tue Mar 08 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.19-alt1
- Updated to 4.2.19.

* Thu Feb 24 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.18-alt3
- Updated to cvs snapshot 20050224.
- Removed already merged upstream patches.

* Tue Feb 22 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.18-alt2
- Ensure that all translations are generated during the build.
- Updated russian translation.
- Fixed check_nofollow bug.
- Fixed new compilation warnings.

* Wed Feb 16 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.18-alt1
- Updated to 4.2.18.

* Tue Feb 08 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.17-alt1
- Updated to 4.2.17.
- Removed already merged upstream patches.

* Mon Feb 07 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.16-alt2
- Applied fix for Savannah bug #11873.

* Sun Feb 06 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.16-alt1
- Updated to 4.2.16.
- Updated alt-find-execdir-okdir patch, to fix new regression
  introduced by upstream.
- Merged upstream patches:
  alt-warnings
  alt-findlib.m4
  alt-subfs
- Optimized process_top_path fix introduced in this version.
- Applied upstream fix for "xargs -i -s" problem,
  added testcase for this issue (closes #6046).

* Mon Jan 31 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.15-alt2
- Fixed -execdir/-okdir regression introduced by upstream.

* Mon Jan 31 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.15-alt1
- Updated to 4.2.15.
- Updated alt-find-execdir-okdir patch, since its most essential
  part was merged to findutils-4.2.12.
- Implemented comprehensive testsuite for xargs and fixed all
  bugs uncovered by the new testsuite.
- Enabled find and xargs autotesting by default.
- Updated russian translation.

* Sat Jan 08 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.11-alt3
- Applied fix for Savannah bug #11517.

* Thu Jan 06 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.11-alt2
- Applied fix for Savannah bug #11495.

* Tue Jan 04 2005 Dmitry V. Levin <ldv@altlinux.org> 4.2.11-alt1
- Updated to 4.2.11.
- Updated patches.
- Updated russian translation.

* Thu Dec 09 2004 Dmitry V. Levin <ldv@altlinux.org> 4.2.10-alt1
- Updated to 4.2.10.
- Updated russian translation.
- Merged upstream patches:
  alt-find-delete-no_default_print
  alt-configure
- Updated patches:
  alt-find-execdir-okdir
  alt-ru.po
- Fixed new compilation warnings, added subfs support.

* Sun Nov 21 2004 Dmitry V. Levin <ldv@altlinux.org> 4.2.5-alt2
- Fixed i18n support which was accidentally disabled in 4.2.5.
- Updated russian translation.

* Sat Nov 20 2004 Dmitry V. Levin <ldv@altlinux.org> 4.2.5-alt1
- Updated to 4.2.5.
- Merged upstream patches:
  alt-xargs-arg_size
- Rediffed patches.

* Tue Nov 09 2004 Dmitry V. Levin <ldv@altlinux.org> 4.2.4-alt1
- Updated to 4.2.4.
- Rediffed patches.

* Sun Nov 07 2004 Dmitry V. Levin <ldv@altlinux.org> 4.2.3-alt3
- In -execdir and -okdir predicates implementation,
  prefix relative paths with "./".

* Sat Nov 06 2004 Dmitry V. Levin <ldv@altlinux.org> 4.2.3-alt2
- Changed -delete to be as silent as -exec again
  (like in 4.2.2-alt1 and before).
- Implemented -execdir and -okdir actions,
  inspired by OpenBSD's "find -execdir".

* Sun Oct 31 2004 Dmitry V. Levin <ldv@altlinux.org> 4.2.3-alt1
- Updated to 4.2.3.
- Merged upstream patches:
  alt-find-FIND_BLOCK_SIZE
  alt-GNU_SOURCE
  owl-alt-delete
  owl-alt-warnings
  rh-alt-regex

* Tue Oct 26 2004 Dmitry V. Levin <ldv@altlinux.org> 4.2.2-alt1
- Updated to 4.2.2.

* Mon Oct 18 2004 Dmitry V. Levin <ldv@altlinux.org> 4.2.1-alt1
- Updated to 4.2.1.
- Reviewed and updated patches.

* Wed Dec 17 2003 Dmitry V. Levin <ldv@altlinux.org> 4.1.20-alt2
- xargs: increased ARG_MAX limit from 20K to 64K, on popular demand.

* Sun Aug 10 2003 Dmitry V. Levin <ldv@altlinux.org> 4.1.20-alt1
- 4.1.20 (upstream changed), regenerated patches.
- Removed alt-process_dir patch.

* Thu Aug 07 2003 Dmitry V. Levin <ldv@altlinux.org> 4.1.7-alt7
- Merged rh patches:
  rh-doc
  rh-xargs-usage
  rh-xargs-i
- Merged owl patches:
  owl-alt-warnings
- Build with -Werror.
- Patched makefiles to avoid build locate subdir.
- Build statically linked version of the GNU find program
  and package it into find-static subpackage.

* Tue Sep 17 2002 Stanislav Ievlev <inger@altlinux.ru> 4.1.7-alt6
- rebuild with gcc3

* Thu Apr 11 2002 Dmitry V. Levin <ldv@altlinux.org> 4.1.7-alt5
- Remove /bin/locate and /bin/updatedb (suddenly appeared in -alt4).

* Sun Apr 07 2002 Dmitry V. Levin <ldv@altlinux.org> 4.1.7-alt4
- Reworked find/process_dir (using fchdir).
- Added "-delete" option (imported from Owl).

* Sat Jan 19 2002 Dmitry V. Levin <ldv@altlinux.org> 4.1.7-alt3
- Relocated utilities from /usr/bin to /bin.

* Thu Jan 03 2002 Stanislav Ievlev <inger@altlinux.ru> 4.1.7-alt2
- removed e2compr support, 'cause goldhead removed it from e2fsprogs.
- fixed bug #0000074

* Thu Jun 28 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.7-alt1
- 4.1.7

* Fri Nov 24 2000 Dmitry V. Levin <ldv@fandra.org> 4.1.1-ipl7mdk
- FHSification.
- Fixed texinfo documentation.

* Mon May 29 2000 Dmitry V. Levin <ldv@fandra.org> 4.1.1-ipl6mdk
- RE adaptions.

* Sat May 20 2000 Dmitry V. Levin <ldv@fandra.org>
- Merged MDK patches for alpha.

* Sun Apr  2 2000 Dmitry V. Levin <ldv@fandra.org>
- Merged RH patches.

* Wed Sep 23 1999 Dmitry V. Levin <ldv@fandra.org>
- Feature: e2compr patch.
- Fandra adaptions.

* Fri Aug 13 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 4.1.1

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add the xargs patch overflow from RedHat.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Mon Feb  8 1999 Jeff Johnson <jbj@redhat.com>
- remove further updatedb remnants (#1072).

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- added patch for glibc21

* Mon Nov 16 1998 Erik Troan <ewt@redhat.com>
- removed locate stuff (as we now ship slocate)

* Wed Jun 10 1998 Erik Troan <ewt@redhat.com>
- updated updatedb cron script to not look for $TMPNAME.n (which was
  a relic anyway)
- added -b parameters to all of the patches

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Mar 09 1998 Michael K. Johnson <johnsonm@redhat.com>
- make updatedb.cron use mktemp correctly
- make updatedb use mktemp

* Sun Nov 09 1997 Michael K. Johnson <johnsonm@redhat.com>
- nobody should own tmpfile
- ignore /net

* Wed Nov 05 1997 Michael K. Johnson <johnsonm@redhat.com>
- made updatedb.cron do a better job of cleaning up after itself.

* Tue Oct 28 1997 Donald Barnes <djb@redhat.com>
- fixed 64 bit-ism in getline.c, patch tacked on to end of glibc one

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- added patch for glibc 2.1

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot support

* Tue Oct 14 1997 Michael K. Johnson <johnsonm@redhat.com>
- made updatedb.cron work even if "nobody" can't read /root
- use mktemp in updatedb.cron

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- added missing info pages
- uses install-info

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built with glibc

* Mon Apr 21 1997 Michael K. Johnson <johnsonm@redhat.com>
- fixed updatedb.cron
